[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TWindowedStream.Seek

Reposition the stream

## Declaration

Source position: streamex.pp line 179

`public function TWindowedStream.Seek(`
`const aOffset: Int64;`
`aOrigin: TSeekorigin`
`):Int64; override;`

## Arguments

`aOffset` |  | offset to seek relative to aOffset.
`aOrigin` |  | Origin of the operation, in the windowed stream

## Function result

The new position in the windowed stream.

## Description

Seek will reposition the windowed stream based on aOffset and aOrigin. It will interpret AOrigin and aOffset relative to the position and size of the window, and will then call Seek on the source stream. It will return the new position in the windowed stream.

## Errors

If the source stream does not support seek operations, an exception may be raises. If the combination of AOrigin and aOffset falls outside the valid window of the stream, an EReadError exception is raised.

## See also

TWindowedStream.Read |  | Read data from the stream
TWindowedStream.Write |  | Read data to the stream